=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/tsujan/Kvantum/releases .*/Kvantum-([\d\.]+).tar.xz
