=== Kvantum/style/CMakeLists.txt ===
--- 
+++ 
@@ -5,17 +5,10 @@
 if(NOT ENABLE_QT4)
   if(NOT ENABLE_QT5)
     set(QT_VERSION_MAJOR 6)
-    find_package(Qt6Core "${QT6_MINIMUM_VERSION}" REQUIRED)
-    find_package(Qt6Widgets "${QT6_MINIMUM_VERSION}" REQUIRED)
-    find_package(Qt6Gui "${QT6_MINIMUM_VERSION}" REQUIRED)
-    find_package(Qt6Svg "${QT6_MINIMUM_VERSION}" REQUIRED)
+    find_package(Qt6 "${QT6_MINIMUM_VERSION}" REQUIRED COMPONENTS Core Gui Widgets Svg)
   else()
     set(QT_VERSION_MAJOR 5)
-    find_package(Qt5Core "${QT5_MINIMUM_VERSION}" REQUIRED)
-    find_package(Qt5Widgets "${QT5_MINIMUM_VERSION}" REQUIRED)
-    find_package(Qt5Gui "${QT5_MINIMUM_VERSION}" REQUIRED)
-    find_package(Qt5Svg "${QT5_MINIMUM_VERSION}" REQUIRED)
-    find_package(Qt5X11Extras "${QT5_MINIMUM_VERSION}" REQUIRED)
+    find_package(Qt5 "${QT5_MINIMUM_VERSION}" REQUIRED COMPONENTS Core Gui Widgets Svg X11Extras)
     find_package(KF5WindowSystem "${KF5_MINIMUM_VERSION}" REQUIRED)
   endif()
 else()
