=== debian/control ===
--- 
+++ 
@@ -14,10 +14,11 @@
                libqt5x11extras5-dev,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/tsujan/Kvantum
 Vcs-Browser: https://salsa.debian.org/lxqt-team/qt5-style-kvantum
 Vcs-Git: https://salsa.debian.org/lxqt-team/qt5-style-kvantum.git
+Rules-Requires-Root: no
 
 Package: qt5-style-kvantum
 Architecture: any
