## qt5-style-kvantum 1.0.10

=== Kvantum/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
+cmake_minimum_required(VERSION 3.1.0)
 project(kvantum)
-cmake_minimum_required(VERSION 3.0)
 set(CMAKE_BUILD_TYPE Release)
 add_definitions (-Wall)
 
@@ -8,6 +8,7 @@
 endif()
 
 option(ENABLE_QT4 "Building Qt4 plugin." OFF)
+option(WITHOUT_KF "Compiling without KDE Frameworks..." OFF)
 option(ENABLE_QT5 "Building Qt5 plugin." ON)
 
 add_subdirectory(style)
