=== Kvantum/kvantumpreview/CMakeLists.txt ===
--- 
+++ 
@@ -3,17 +3,13 @@
 
 if(NOT ENABLE_QT5)
   set(QT_VERSION_MAJOR 6)
-  find_package(Qt6Core "${QT6_MINIMUM_VERSION}" REQUIRED)
-  find_package(Qt6Widgets "${QT6_MINIMUM_VERSION}" REQUIRED)
-  find_package(Qt6Gui "${QT6_MINIMUM_VERSION}" REQUIRED)
+  find_package(Qt6 "${QT6_MINIMUM_VERSION}" REQUIRED COMPONENTS Core Gui Widgets)
 else()
   set(QT_VERSION_MAJOR 5)
-  find_package(Qt5Core "${QT5_MINIMUM_VERSION}" REQUIRED)
-  find_package(Qt5Widgets "${QT5_MINIMUM_VERSION}" REQUIRED)
-  find_package(Qt5Gui "${QT5_MINIMUM_VERSION}" REQUIRED)
+  find_package(Qt5 "${QT5_MINIMUM_VERSION}" REQUIRED COMPONENTS Core Gui Widgets)
 endif()
 
-find_package(Qt${QT_VERSION_MAJOR}LinguistTools QUIET)
+find_package(Qt${QT_VERSION_MAJOR} QUIET COMPONENTS LinguistTools)
 
 set(CMAKE_AUTOMOC ON)
 #set(CMAKE_AUTOUIC ON)
