=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: qt5-style-kvantum
-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>
@@ -8,12 +9,9 @@
 Build-Depends: debhelper-compat (= 13),
                cmake,
                libkf5windowsystem-dev,
-               libx11-dev,
-               libxext-dev,
                libqt5svg5-dev,
                libqt5x11extras5-dev,
-               qttools5-dev,
-               qttools5-dev-tools
+               qttools5-dev
 Standards-Version: 4.6.2
 Homepage: https://github.com/tsujan/Kvantum
 Vcs-Browser: https://salsa.debian.org/lxqt-team/qt5-style-kvantum
