=== debian/watch ===
version=4

# See https://davesteele.github.io/development/2015/05/02/debian-watch-file-format-for-signed-github-source-tars/ for GitHub workaround for releases page.

opts="downloadurlmangle=s/archive\/refs\/tags\/([vV]?@ANY_VERSION@)@ARCHIVE_EXT@/releases\/download\/$1\/Kvantum-$2\.tar\.xz/,filenamemangle=s/Kvantum-[vV]?@ANY_VERSION@@ARCHIVE_EXT@/@PACKAGE@-$1\.tar\.xz/,pgpsigurlmangle=s/$/.asc/" \
https://github.com/tsujan/Kvantum/tags .*/[vV]?@ANY_VERSION@@ARCHIVE_EXT@
